package it.integry.integrywmsnative.view.bottom_sheet__lu_content;

import androidx.databinding.ObservableField;

import it.integry.integrywmsnative.core.model.MtbColt;

public class BottomSheetFragmentLUContentViewModel {

    public ObservableField<MtbColt> mtbColt = new ObservableField<>();
    private Listener mListener;
    private MtbColrListener mMtbColrListener;

    public void closeCurrentLU() {
        if(this.mListener != null) this.mListener.onBottomSheetLUClose();
    }

    public BottomSheetFragmentLUContentViewModel setMtbColt(MtbColt mtbColt) {
        this.mtbColt.set(mtbColt);
        return this;
    }

    public ObservableField<MtbColt> getObservableMtbColt() {
        return this.mtbColt;
    }

    public BottomSheetFragmentLUContentViewModel setListener(Listener listener) {
        this.mListener = listener;
        return this;
    }

    public BottomSheetFragmentLUContentViewModel setMtbColrListener(MtbColrListener mtbColrListener) {
        this.mMtbColrListener = mtbColrListener;
        return this;
    }

    public interface Listener {
        void onBottomSheetLUClose();
    }

    public interface MtbColrListener {

    }
}
